# eric5.E5XML.SessionWriter

Module implementing the writer class for writing an XML session file.

### Global Attributes

None

### Classes

SessionWriter | Class implementing the writer class for writing an XML session file.

### Functions

None

## SessionWriter

Class implementing the writer class for writing an XML session file.

### Derived from

XMLStreamWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

SessionWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### SessionWriter (Constructor)

SessionWriter(device, projectName)

Constructor

device
  reference to the I/O device to write to (QIODevice)
projectName
  name of the project (string) or None for the global session

#### SessionWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up